<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__csdadc__callback" kind="group">
    <compoundname>group_csdadc_callback</compoundname>
    <title>Callback</title>
    <briefdescription>
<para>This section describes the CSDADC Callback Function. </para>    </briefdescription>
    <detaileddescription>
<para>A callback allows a user to execute custom code called from the CSDADC middleware when the current cycle of enabled channel conversion finishes in the continuous mode.</para><para>To assign a user's function to this callback presented in the middleware, do the following:</para><para><itemizedlist>
<listitem><para>Assign a pointer to the variable of the <ref kindref="compound" refid="structcy__stc__csdadc__context__t">cy_stc_csdadc_context_t</ref> type as below:</para><para><ref kindref="compound" refid="structcy__stc__csdadc__context__t">cy_stc_csdadc_context_t</ref> * ptrCxt = &amp;My_CSDADC_context;</para></listitem><listitem><para>Write the callback function implementation (in any user file) using the following function prototype:</para><para>void CallbackFunction((void *) ptrCxt);</para></listitem><listitem><para>Assign the function to the CSDADC context structure by using the function <ref kindref="member" refid="group__group__csdadc__functions_1gac6088c5e8f20c4a1e46553fd918b4c9e">Cy_CSDADC_RegisterCallback()</ref>;</para></listitem><listitem><para>Use the <ref kindref="member" refid="group__group__csdadc__functions_1ga396e74d40e771e25a617d88f08c0c78b">Cy_CSDADC_UnRegisterCallback()</ref> API to un-register the callback function that was previously assigned. </para></listitem></itemizedlist>
</para>    </detaileddescription>
  </compounddef>
</doxygen>